@import '~@angular/material/theming';

@mixin sidenav-button-action-theme($theme) {
  $accent: map-get($theme, accent);
  $warn: map-get($theme, warn);
  $primary: map-get($theme, primary);

  app-action-button {

    color: mat-color($accent, 900);

    .icon {
      mat-icon {
        color: mat-color($accent, 700) !important;
      }
    }

    &:active,
    &.active {
      .action-container {
        background-color: mat-color($primary, 100);
      }
    }

    &.warn {
      color: mat-color($warn, 800) !important;

      .icon {
        mat-icon {
          color: mat-color($warn, 800) !important;
        }
      }

      &:hover,
      &:active,
      &.active {
        .action-container {
          background-color: mat-color($warn, 50);
        }
      }
    }

    &:hover {
      .action-container {
        background-color: mat-color($accent, 200);
      }
    }

    .action-container {
      background: transparent;
      box-shadow: none;
      font-size: 0.813rem;
      font-style: normal;
      font-weight: 500;
      border-radius: 0.25rem;
      line-height: 1;
      letter-spacing: 0;
      text-decoration: none !important;
      cursor: pointer;
      outline: 0;
      border: 0;
      padding: 0.25rem 0.5rem;

      .title {
        line-height: 1.5rem;
      }

      .description {
        font-size: 0.75rem;
        font-style: normal;
        font-weight: 400;
        line-height: 1rem;
        letter-spacing: 0;
        color: mat-color($accent, 700);
      }
    }
  }

  [aria-expanded=true] {
    app-action-button {
      .action-container {
        background-color: mat-color($primary, 100);
      }
    }
  }
}
